{
  "name": "query/manager/product/product_material/need_calc_material.json",
  "database": "4d",
  "parameter": {
    "show_sql": false,
    "work": [],
    "record_type": "estimated"
  },
  "query": [
    ["prma_product_id", "in", "work"],
    "and",
    ["prma_product_material_state", ">=", 0]
  ],
  "queryX": [
    ["prma_record_type", "=", "record_type"],
    "and",
    ["prma_product_id", "in", "work"],
    "and",
    ["prma_product_material_state", ">=", 0]
  ],
  "field": [
    "prma_product_id",
    "prma_material_id",
    "prma_amount",
    "pr_stock_vs_design_conversion_multiplier",
    "pr_work_number",
    "pr_product_id",
    "pr_product_type",
    "pr_stock_unit",
    "pr_name",
    "pr_stock_balance",
    "pr_minimum_order_amount",
    "pr_supplier_id",
    "pr_storable",
    "pr_json_data_free_amount",
    "pr_json_data_coming_amount",
    "pr_json_data_going_amount"
  ]
}
